unit AdvToolButton;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWControl,
  IWAdvToolButton, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl,
  IWCompLabel, LeftFrame, Controls, Forms, TopFrame, IWCompRectangle,
  IWTMSCtrls, IWOutlookBar, IWCompEdit, IWMultiColumnComboBox, IWHelpTip,
  IWTMSCheckList;

type
  TformToolButton = class(TIWAppForm)
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    IWLabel7: TIWLabel;
    IWLabel1: TIWLabel;
    TIWAdvToolButton1: TTIWAdvToolButton;
    TIWAdvToolButton2: TTIWAdvToolButton;
    TIWAdvToolButton3: TTIWAdvToolButton;
    TIWAdvToolButton4: TTIWAdvToolButton;
    IWLabel2: TIWLabel;
    IWLabel3: TIWLabel;
    IWLabel4: TIWLabel;
    TIWMultiColumnComboBox1: TTIWMultiColumnComboBox;
    IWLabel5: TIWLabel;
    procedure TIWAdvToolButton1Click(Sender: TObject);
    procedure IWAppFormCreate(Sender: TObject);
    procedure TIWAdvToolButton2Click(Sender: TObject);
    procedure TIWMultiColumnComboBox1Change(Sender: TObject; Index: Integer);
  public
  end;

implementation

{$R *.dfm}


procedure TformToolButton.TIWAdvToolButton1Click(Sender: TObject);
begin
  IWLabel3.Caption := 'Hello World';
end;

procedure TformToolButton.IWAppFormCreate(Sender: TObject);
begin
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;156 1.6TS;699000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;156 1.8TS;769000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;156 2.0TS;899000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;156 2.5;1099000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;166 2.0TS;1100000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;166 2.0V6;1350000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;166 2.5V6;1460000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;166 3.0V6;1580000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;Spider 1.8;999000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;Spider 2.0;1072000');
   TIWMultiColumnComboBox1.AddRow('Alfa Romeo;Spider 3.0;1437000');
   TIWMultiColumnComboBox1.AddRow('Audi;A3 1.6;690000');
   TIWMultiColumnComboBox1.AddRow('Audi;A3 1.8;764000');
   TIWMultiColumnComboBox1.AddRow('Audi;A3 1.9TDI;890000');
   TIWMultiColumnComboBox1.AddRow('Audi;A4 1.6;835000');
   TIWMultiColumnComboBox1.AddRow('Audi;A4 1.8;933000');
   TIWMultiColumnComboBox1.AddRow('Audi;A4 2.4;1065000');
   TIWMultiColumnComboBox1.AddRow('Audi;A4 2.8;1313500');
   TIWMultiColumnComboBox1.AddRow('Audi;A4 1.9TDI;897000');
   TIWMultiColumnComboBox1.AddRow('Audi;TT Coupe;1235000');
   TIWMultiColumnComboBox1.AddRow('Audi;A6 1.8;1093000');
   TIWMultiColumnComboBox1.AddRow('Audi;A6 2.4;1279000');
   TIWMultiColumnComboBox1.AddRow('Audi;A6 2.8;1504000');
   TIWMultiColumnComboBox1.AddRow('Audi;A6 1.9TDI;1113000');
   TIWMultiColumnComboBox1.AddRow('Audi;A6 2.5TDI;1310000');
   TIWMultiColumnComboBox1.AddRow('Audi;A8 2.8;1841500');
   TIWMultiColumnComboBox1.AddRow('Audi;A8 3.7;2108000');
   TIWMultiColumnComboBox1.AddRow('Audi;A8 4.2;2786800');
   TIWMultiColumnComboBox1.AddRow('Audi;A8 2.5TDI;1855000');
   TIWMultiColumnComboBox1.AddRow('BMW;318is coupe;1182358');
   TIWMultiColumnComboBox1.AddRow('BMW;320i coupe;1200000');
   TIWMultiColumnComboBox1.AddRow('BMW;323i coupe;1285000');
   TIWMultiColumnComboBox1.AddRow('BMW;328i coupe;1365000');
   TIWMultiColumnComboBox1.AddRow('BMW;M3 coupe;2023000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 1.8;980000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 1.9;1090000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 2.8;1330000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 M;2010000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 coupe 2.8;1360000');
   TIWMultiColumnComboBox1.AddRow('BMW;Z3 M coupe;2040000');
   TIWMultiColumnComboBox1.AddRow('BMW;520i;1270000');
   TIWMultiColumnComboBox1.AddRow('BMW;523i;1415000');
   TIWMultiColumnComboBox1.AddRow('BMW;528i;1515000');
   TIWMultiColumnComboBox1.AddRow('BMW;535i;1845000');
   TIWMultiColumnComboBox1.AddRow('BMW;540i;2125000');
   TIWMultiColumnComboBox1.AddRow('BMW;M5;3050000');
   TIWMultiColumnComboBox1.AddRow('BMW;525TDS;1165000');
   TIWMultiColumnComboBox1.AddRow('BMW;728i;1890000');
   TIWMultiColumnComboBox1.AddRow('BMW;735i;2215000');
   TIWMultiColumnComboBox1.AddRow('BMW;740i;2645000');
   TIWMultiColumnComboBox1.AddRow('BMW;750i;3480000');
   TIWMultiColumnComboBox1.AddRow('BMW;730D;1995000');
   TIWMultiColumnComboBox1.AddRow('BMW;840CI;3050000');
   TIWMultiColumnComboBox1.AddRow('BMW;850CI;3950000');
   TIWMultiColumnComboBox1.AddRow('DE TOMASO;Guara;4537000');
   TIWMultiColumnComboBox1.AddRow('FERRARI;F355 Berlinetta;4779500');
   TIWMultiColumnComboBox1.AddRow('FERRARI;GTS;4900000');
   TIWMultiColumnComboBox1.AddRow('FERRARI;Spider;5021500');
   TIWMultiColumnComboBox1.AddRow('FERRARI;550 Maranello;7562000');
   TIWMultiColumnComboBox1.AddRow('FERRARI;456 GT;8107000');
   TIWMultiColumnComboBox1.AddRow('JAGUAR;XJ 3.2;2010000');
   TIWMultiColumnComboBox1.AddRow('JAGUAR;XJ 4.0;2306000');
   TIWMultiColumnComboBox1.AddRow('JAGUAR;XK8 coupe;2600000');
   TIWMultiColumnComboBox1.AddRow('JAGUAR;XK8 cabrio;2935000');
   TIWMultiColumnComboBox1.AddRow('LAMBORGHINI;Diablo SV;7410000');
   TIWMultiColumnComboBox1.AddRow('LAMBORGHINI;Diablo 2WD;7720000');
   TIWMultiColumnComboBox1.AddRow('LAMBORGHINI;Diablo VT;8822599');
   TIWMultiColumnComboBox1.AddRow('LOTUS;Elise;1175000');
   TIWMultiColumnComboBox1.AddRow('LOTUS;Esprit V8-GT;2590000');
   TIWMultiColumnComboBox1.AddRow('MASERATI;Ghibli Coupe 2.0;2035825');
   TIWMultiColumnComboBox1.AddRow('MASERATI;Ghibli Coupe 2.8;2053975');
   TIWMultiColumnComboBox1.AddRow('MASERATI;3200 GT;3126640');
   TIWMultiColumnComboBox1.AddRow('MASERATI;Quattroporte 2.0;2265725');
   TIWMultiColumnComboBox1.AddRow('MASERATI;Quattroporte 2.8;2459125');
   TIWMultiColumnComboBox1.AddRow('MASERATI;Quattroporte 3.2;3003825');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK 200;1268000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK 230;1448000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK 320;1768000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK 430;2245000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK cabrio 200;1498000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK cabrio 230;1667000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;CLK cabrio 320;1990000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;S320;2488000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;S430;2994000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;S500;3275000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SL280;2777000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SL320;3032000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SL500;3830000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SL600;5020000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SL60 AMG;4958000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SLK200;1253000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SLK230;1445000');
   TIWMultiColumnComboBox1.AddRow('MERCEDES;SLR Vision;12445000');
   TIWMultiColumnComboBox1.AddRow('MG;MGF;906500');
   TIWMultiColumnComboBox1.AddRow('PEUGOET;406 Coupe 2.0;1010000');
   TIWMultiColumnComboBox1.AddRow('PEUGOET;406 Coupe 3.0;1259000');
   TIWMultiColumnComboBox1.AddRow('PORSCHE;Boxster;1685000');
   TIWMultiColumnComboBox1.AddRow('PORSCHE;911 Carrera;2995000');
   TIWMultiColumnComboBox1.AddRow('PORSCHE;911 Carrera cabrio;3395000');
   TIWMultiColumnComboBox1.AddRow('TVR;Chimaera 4.0;2096000');
   TIWMultiColumnComboBox1.AddRow('TVR;Chimaera 5.0;2370000');
   TIWMultiColumnComboBox1.AddRow('TVR;Griffith 400;2177000');
   TIWMultiColumnComboBox1.AddRow('TVR;Griffith 500;2369000');
   TIWMultiColumnComboBox1.AddRow('Wiesmann;MF 28;2000000');
   TIWMultiColumnComboBox1.AddRow('Wiesmann;3;3000000');
   TIWMultiColumnComboBox1.AddRow('Chrysler;Stratus 2.5LX;1053000');
   TIWMultiColumnComboBox1.AddRow('Chrysler;Viper GTS;3399000');
   TIWMultiColumnComboBox1.AddRow('Honda;NSX Coupe;3881000');
   TIWMultiColumnComboBox1.AddRow('Honda;NSX Targa;4282000');
   TIWMultiColumnComboBox1.AddRow('Lexus;GS300;1659000');
   TIWMultiColumnComboBox1.AddRow('Lexus;LS400;2718000');
   TIWMultiColumnComboBox1.AddRow('Mazda;MX5 1.8-16V;929000');
   TIWMultiColumnComboBox1.AddRow('Rolls Royce;Seraph;9740500');


  
end;

procedure TformToolButton.TIWAdvToolButton2Click(Sender: TObject);
begin
  IWLabel4.Caption := 'Hello World 2';
end;

procedure TformToolButton.TIWMultiColumnComboBox1Change(Sender: TObject;
  Index: Integer);
begin
  IWLabel5.Text := TIWMultiColumnComboBox1.Items[Index].RowData.GetText();
end;

end.
